# jhTAlib
Technical Analysis Library Time-Series

You can use and import it for your:
* Technical Analysis Software
* Charting Software
* Backtest Software
* Trading Robot Software
* Trading Software in general

Work in progress...

## Depends only on
* [The Python Standard Library](https://docs.python.org/3/library/index.html)

## Install
```
$ [sudo] pip3 install jhtalib
```
or
```
$ git clone https://github.com/joosthoeks/jhTAlib.git
$ cd jhTAlib
$ [sudo] pip3 install -e .
```

## Update
```
$ [sudo] pip3 install --upgrade jhtalib
```
or
```
$ cd jhTAlib
$ git pull [upstream master]
```

## Examples
```
$ cd example/
```
### Example 1
```
$ python3 example-1-plot.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-1-plot.ipynb)
### Example 2
```
$ python3 example-2-plot.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-2-plot.ipynb)
### Example 3
```
$ python3 example-3-plot.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-3-plot.ipynb)
### Example 4
```
$ python3 example-4-plot-quandl.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-4-plot-quandl.ipynb)
### Example 5
```
$ python3 example-5-plot-quandl.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-5-plot-quandl.ipynb)
### Example 6
```
$ python3 example-6-plot-quandl.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-6-plot-quandl.ipynb)
### Example 7
```
$ python3 example-7-quandl-2-df.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-7-quandl-2-df.ipynb)
### Example 8
```
$ python3 example-8-alphavantage-2-df.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-8-alphavantage-2-df.ipynb)
### Example 9
```
$ python3 example-9-cryptocompare-2-df.py
```
* [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/joosthoeks/jhTAlib/blob/master/example/example-9-cryptocompare-2-df.ipynb)

## Test
```
$ cd test/
```
```
$ python3 test.py
```

## Wiki
* [jhTAlib doc](https://github.com/joosthoeks/jhTAlib/wiki)

